/mission_planner_node:
    ros__parameters:
        ### ROS PARAMS ###
        input_topic: "mission_planner_input"
        output_topic: "mission_planner_output"
        ### HTTP PARAMS ###
        base_url: "http://localhost:8004"
        url_path: "compute"
        interval_seconds: 1.0
        num_trials: 5
        ### PLANNER PARAMS ###
        epsg_xy: 32648
        # in meter
        interpolation_distance: 10.0
        # to specify no criteria indicate the param value as `[""]`.
        # this is cause reading of empty list param in ROS is complicated.
        highway_criteria: [""]
